## org.eclipse.emf.codegen.ecore.genmodel.handler
Enum GenerateHandler.GenModelGenerationDialog.ProjectType

    java.lang.Object
      java.lang.Enum<GenerateHandler.GenModelGenerationDialog.ProjectType>
          org.eclipse.emf.codegen.ecore.genmodel.handler.GenerateHandler.GenModelGenerationDialog.ProjectType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GenerateHandler.GenModelGenerationDialog.ProjectType>

Enclosing class:
  GenerateHandler.GenModelGenerationDialog

    protected static enum GenerateHandler.GenModelGenerationDialog.ProjectType

extends java.lang.Enum<GenerateHandler.GenModelGenerationDialog.ProjectType>

Enum Constant Summary
`EDIT`
`EDITOR`
`MODEL`
`TESTS`

Method Summary
`abstract boolean` `canGenerate(GenModel genModel)`
`abstract java.lang.String` `getID()`
`abstract java.lang.String` `getLabel()`
`static GenerateHandler.GenModelGenerationDialog.ProjectType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GenerateHandler.GenModelGenerationDialog.ProjectType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MODEL

    public static final GenerateHandler.GenModelGenerationDialog.ProjectType MODEL

### EDIT

    public static final GenerateHandler.GenModelGenerationDialog.ProjectType EDIT

### EDITOR

    public static final GenerateHandler.GenModelGenerationDialog.ProjectType EDITOR

### TESTS

    public static final GenerateHandler.GenModelGenerationDialog.ProjectType TESTS

Method Detail

### values

    public static final GenerateHandler.GenModelGenerationDialog.ProjectType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GenerateHandler.GenModelGenerationDialog.ProjectType c : GenerateHandler.GenModelGenerationDialog.ProjectType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GenerateHandler.GenModelGenerationDialog.ProjectType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### canGenerate

    public abstract boolean canGenerate(GenModel genModel)

### getID

    public abstract java.lang.String getID()

### getLabel

    public abstract java.lang.String getLabel()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.